Upload file

View as Markdown
  • POST
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /commit
  • /upload

Upload a file to be committed to a GIT artifact

Request

REQUIRED SCOPES
ARTIFACT_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

GET PARAMETERS
filenamestring
The name of the file being uploaded

Example: "app.js"

Response

RESPONSE BODY
namestring
The original name of the uploaded file
upload_pathstring
The opaque upload reference to pass back when creating a commit

Last modified on Nov 17, 2026

Request example

CURL
curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/commit/upload" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "name": "app.js",
  "upload_path": "a1b2c3d4_app.js"
}
STATUS
201 File uploaded successfully